## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# NamespacesHandler::Namespace Class Reference

Inheritance diagram for NamespacesHandler::Namespace:

[legend]
Collaboration diagram for NamespacesHandler::Namespace:

[legend]
List of all members.

## Public Member Functions

- Namespace ()
- Namespace (const XalanDOMString &prefix, const XalanDOMString &uri)
- const XalanDOMString & getPrefix () const
    Retrieve the prefix for namespace.
- void setPrefix (const XalanDOMString &prefix)
    Set the prefix for namespace.
- const XalanDOMString & getURI () const
    Retrieve the URI for namespace.
- void setURI (const XalanDOMString &uri)
    Set the URI for namespace.

## Static Protected Attributes

- const XalanDOMString s_emptyString

## Constructor & Destructor Documentation

NamespacesHandler::Namespace::Namespace | ( |  | ) |

NamespacesHandler::Namespace::Namespace | ( | const XalanDOMString & | prefix,
|  | const XalanDOMString & | uri
| ) |

## Member Function Documentation

const XalanDOMString& NamespacesHandler::Namespace::getPrefix | ( |  | ) | const

| Retrieve the prefix for namespace. Returns: prefix string

const XalanDOMString& NamespacesHandler::Namespace::getURI | ( |  | ) | const

| Retrieve the URI for namespace. Returns: URI string

void NamespacesHandler::Namespace::setPrefix | ( | const XalanDOMString & | prefix | ) |

  | Set the prefix for namespace. Parameters:
  prefix | The new prefix value

void NamespacesHandler::Namespace::setURI | ( | const XalanDOMString & | uri | ) |

  | Set the URI for namespace. Parameters:
  uri | The new uri value

## Member Data Documentation

const XalanDOMString NamespacesHandler::Namespace::s_emptyString`[static, protected]`

The documentation for this class was generated from the following file:

- NamespacesHandler.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.